import { File, Statement } from '@babel/types';
import { ParserOptions } from '@babel/parser';
import { DeepArray } from './types';
export default class BabelParserGenerator {
    ast: File;
    options: ParserOptions;
    constructor(code?: string);
    templateAst(code: string, codePath?: string | DeepArray<string>): Statement | Statement[];
    generate(): string;
    prepend(code: string, injectPath?: string | DeepArray<string>, codePath?: string | DeepArray<string>): void;
    append(code: string, injectPath?: string | DeepArray<string>, codePath?: string | DeepArray<string>): void;
}
